Package twisted :: Package popsicle :: Module mailsicle :: Class Mailsicle

[show private | hide private]
[frames | no frames]

## Class Mailsicle

         Repository --+
                      |
    DirectoryRepository --+
                          |
                         Mailsicle

Method Summary
| `__init__(self, dirname)` (inherited from `DirectoryRepository`)
| `__getstate__(self)` (inherited from `Repository`)
| `__setstate__(self, dct)` (inherited from `Repository`)
| `addressOID(self, obj, desc)`
| ``cache`(self, oid, obj, finished)` Weakly cache an object for the given OID.
| ``cleaned`(self)` The freezer finished cleaning, and some of my objects were cleaned. (inherited from `Repository`)
| ``createOID`(self, oid, klass)` Create an instance with an oid and cache it. (inherited from `Repository`)
| ``generateOID`(self, obj)` Generate an OID synchronously. (inherited from `DirectoryRepository`)
| `getOID(self, obj)`
| `getOldIndexes(self, obj)`
| ``load`(self, oid)` Load an object from cache or by OID. (inherited from `Repository`)
| ``loadNow`(self, oid)` External API for synchronously loading stuff. (inherited from `Repository`)
| ``loadOID`(self, oid)` Implement me to return a Deferred if you want to implement asynchronous loading. (inherited from `Repository`)
| `loadOIDList(self, s)`
| ``loadOIDNow`(self, oid)` Implement me if you want to implement synchronous loading.
| ``loadRef`(self, pRef)` Synonymous with ref.__call__(). (inherited from `Repository`)
| `makeOIDList(self, l)`
| `queryIndex(self, idx, value)`
| `removeIndex(self, oid, idx, value)`
| ``save`(self, obj)` Save an object... (inherited from `Repository`)
| ``saveOID`(self, oid, obj)` Return a Deferred which will fire True when the object is saved.
| `storeIndex(self, oid, idx, value)`

Method Details

### cache(self, oid, obj, finished=1)

Weakly cache an object for the given OID.

This means I own it, so also register it with the Freezer as such.

  Overrides:
    `twisted.popsicle.repos.Repository.cache` (inherited documentation)

### loadOIDNow(self, oid)

Implement me if you want to implement synchronous loading.

  Overrides:
    `twisted.popsicle.repos.Repository.loadOIDNow` (inherited documentation)

### saveOID(self, oid, obj)

Return a Deferred which will fire True when the object is saved.

  Overrides:
    `twisted.popsicle.repos.Repository.saveOID` (inherited documentation)

Generated by Epydoc 1.1 on Thu May 8 13:16:35 2003 | http://epydoc.sf.net